<div class="alvtop_header" id="alv_mainblock">
	<div class="btn btn-primary" id="getBlocksBtn">Список блоков</div>
	<div class="btn btn-primary" id="addBlockBtn">Установить блок с Видео</div>
	<hr>
	
	<div class="btn btn-primary" id="getBitrixChats">Список Чатов</div>
	<div class="btn btn-primary" id="getBitrixEvents">Список событий</div>
	<div class="btn btn-primary" id="getBitrixUser">Полз-ль</div>
	<div class="btn btn-primary" id="getAlovoiceFreeNums">Свб номер</div>
	<div class="btn btn-primary" id="getBitrixPlacements">Список плейсментов</div>
	<div class="btn btn-primary" id="getBitrixSmsProviders">Список смс провайдеров</div>
	<div class="row" id="bitrixEventsList"> </div>
</div>
<?php
//для наглядности, передадим PHP-массив на исполнение JS
$data = array(
   'code' => 'tug_videotext_slider', //XML_ID
   'fields' => array(
      'NAME' => 'Slider s video i text',
      'DESCRIPTION' => 'Попробуйте',
      'SECTIONS' => 'cover,about',
      'PREVIEW' => 'https://www.bitrix24.ru/images/b24_screen.png',
      'CONTENT' => '
<section class="landing-block">
   <div class="text-center g-color-gray-dark-v3 g-pa-10">
      <div class="g-width-600 mx-auto">
         <div class="landing-block-node-text g-font-size-12 ">
            <p>© 2021 Лендинг блок от
            <a href="#" class="landing-block-node-link g-color-primary"> Техноюнит</p>
         </div>
      </div>
   </div>
</section>'
   ),
   'manifest' => array(
      'assets' => array(
         'css' => array(
            'https://site.com/aaa.css'
         ),
         'js' => array(
            'https://site.com/aaa.js'
         )
      ),
      'nodes' =>
         array(
            '.landing-block-node-text' =>
               array(
                  'name' => 'Text',
                  'type' => 'text',
               ),
            '.landing-block-node-link' =>
               array(
                  'name' => 'Link',
                  'type' => 'link',
               ),
         ),
      'style' =>
         array(
            '.landing-block-node-text' =>
               array(
                  'name' => 'Text',
                  'type' => 'typo',
               ),
            '.landing-block-node-link' =>
               array(
                  'name' => 'Link',
                  'type' => 'typo',
               ),
         ),
      'attrs' =>
         array(
           '.landing-block-node-text' =>
              array(
                 'name' => 'Настройка копирайта',
                 'type' => 'dropdown',
                 'attribute' => 'data-copy',
                 'items' => array(
                    'val1' => 'Значение 1',
                    'val2' => 'Значение 2'
                     )
                ),
         ),
   ),
);

$yaMapBlockDatas = array(
   'code' => 'tug_yamap_forcrmform', //XML_ID
   'fields' => array(
      'NAME' => 'CRM форма с выбором координатов на яндекс карте',
      'DESCRIPTION' => 'Блок превращяющяющий поле Адрес в CRM форме в поле с выбором координатов на яндекс карте',
      'SECTIONS' => 'forms',
      'PREVIEW' => 'https://www.bitrix24.ru/images/b24_screen.png',
      'CONTENT' => '
<section class="landing-block">
   <div class="text-center g-color-gray-dark-v3 g-pa-10">
      <div class="g-width-600 mx-auto">
         <div class="landing-block-node-text g-font-size-12 ">
            <p>© 2021 Лендинг блок от
            <a href="#" class="landing-block-node-link g-color-primary"> Техноюнит</p>
         </div>
      </div>
   </div>
   <script>
   function init(coords) {
		if($("map").length == 0){ console.log("No map div element"); return false; }
		$("map").html('');
		window.mapinited = true;
		var myPlacemark,
			myMap = new ymaps.Map("map", {
				center: (coords) ? coords : [41.312174, 69.240532],
				zoom: 15
			}, {
				searchControlProvider: "yandex#search"
			});

		// Слушаем клик на карте.
		myMap.events.add("click", function (e) {
			var coords = e.get("coords");

			// Если метка уже создана – просто передвигаем ее.
			if (myPlacemark) {
				myPlacemark.geometry.setCoordinates(coords);
			}
			// Если нет – создаем.
			else {
				myPlacemark = createPlacemark(coords);
				myMap.geoObjects.add(myPlacemark);
				// Слушаем событие окончания перетаскивания на метке.
				myPlacemark.events.add("dragend", function () {
					getAddress(myPlacemark.geometry.getCoordinates());
				});
			}
			getAddress(coords);
		});

		// Создание метки.
		function createPlacemark(coords) {
			return new ymaps.Placemark(coords, {
				iconCaption: "поиск..."
			}, {
				preset: "islands#violetDotIconWithCaption",
				draggable: true
			});
		}

		// Определяем адрес по координатам (обратное геокодирование).
		function getAddress(coords) {
			myPlacemark.properties.set("iconCaption", "поиск...");
			console.log("Coordinates:",coords);
			ymaps.geocode(coords).then(function (res) {
				var firstGeoObject = res.geoObjects.get(0);
				var addresLIneCoOrds = firstGeoObject.getAddressLine();
				console.log("Address:",addresLIneCoOrds);
				
				if(window.setOrderInputCoords){
					window.setOrderInputCoords(JSON.stringify(coords));
				}
				if(window.setOrderInputAddress){
					window.setOrderInputAddress(addresLIneCoOrds);
				}
				
				
				myPlacemark.properties
					.set({
						// Формируем строку с данными об объекте.
						iconCaption: [
							// Название населенного пункта или вышестоящее административно-территориальное образование.
							firstGeoObject.getLocalities().length ? firstGeoObject.getLocalities() : firstGeoObject.getAdministrativeAreas(),
							// Получаем путь до топонима, если метод вернул null, запрашиваем наименование здания.
							firstGeoObject.getThoroughfare() || firstGeoObject.getPremise()
						].filter(Boolean).join(", "),
						// В качестве контента балуна задаем строку с адресом объекта.
						balloonContent: firstGeoObject.getAddressLine()
					});
			});
		}
	}
	ymaps.ready(init);
	// console.log( "YNDX_INIT?",window.yandexmapsinit)
	
	// if(window.yandexmapsinit=true){
		// ymaps.ready(init);
		
	// }
   </script>
</section>'
   ),
   'manifest' => array(
	   'block' => array(
			'name' => Loc::getMessage('LANDING_BLOCK_FORM_33.10'),
			'section' => array('forms'),
			'dynamic' => false,
			'subtype' => 'form',
		),
		'assets' => array(
			'css' => array(
				'https://site.com/aaa.css'
			),
			'js' => array(
				'https://api-maps.yandex.ru/2.1/?lang=ru_RU&amp;apikey=a93c19f6-edde-48d3-985f-1a9b2e35f089'
				// 'https://site.com/aaa.js'
			),
			'ext' => array(
				'jquery', 'landing_form',
			),
		),
		'nodes' => array(
			'.landing-block-node-text' =>
				array(
					'name' => 'Text',
					'type' => 'text',
				),
			'.landing-block-node-link' =>
			array(
				'name' => 'Link',
				'type' => 'link',
			),
		),
		'style' => array(
            '.landing-block-node-text' =>
				array(
					'name' => 'Text',
					'type' => 'typo',
				),
            '.landing-block-node-link' =>
				array(
					'name' => 'Link',
					'type' => 'typo',
				),
		),
		'attrs' => array(
			'.landing-block-node-text' => array(
				'name' => 'Настройка копирайта',
				'type' => 'dropdown',
				'attribute' => 'data-copy',
				'items' => array(
					'val1' => 'Значение 1',
					'val2' => 'Значение 2'
				)
			),
		),
	),
);
/*
ONCRMLEADUPDATE
ONCRMCOMPANYUPDATE
ONCRMCONTACTUPDATE
*/
?>

<script>
$(document).ready(function(){
	$("#getBitrixSmsProviders").click(function(){
		BX24.callMethod( 'messageservice.sender.list',{},function(result)
		   {
			  if(result.error())
					console.error(result.error());
			  else
					console.info(result.data());
		   }
		);
	});
	$("#getBitrixPlacements").click(function(){
		BX24.callMethod( 'placement.list',{},function(result)
		   {
			  if(result.error())
					console.error(result.error());
			  else
					console.info(result.data());
		   }
		);
		
		// BX24.callMethod( 'event.bind',{
			// 'EVENT' : 'onAfterAdd',
			// 'HANDLER' : 'https://sms.4u.uz/bx24/',
			// },function(result){
			  	// if(result.error())
					// console.error(result.error());
			  	// else
					// console.info(result.data());
		   	// }
		// );
		// BX24.callMethod( 'event.bind',{
			// 'EVENT' : 'onAfterAdd',
			// 'HANDLER' : 'https://sms.4u.uz/bx24/',
			// },function(result){
			  	// if(result.error())
					// console.error(result.error());
			  	// else
					// console.info(result.data());
		   	// }
		// );
		BX24.callMethod( 'placement.bind',{
			'PLACEMENT' : "CRM_DEAL_ACTIVITY_TIMELINE_MENU",
			'HANDLER' : 'https://tug.alovoice.uz/bx24/',
			'TITLE' : 'Подписать в DIDOX',
			'DESCRIPTION' : 'Для подписания в DIDOXе потребуется установленный  E-IMZO и ЭЦП',
			},function(result){
			  	if(result.error())
					console.error(result.error());
			  	else
					console.info(result.data());
		   	}
		);
		// BX24.callMethod( 'placement.bind',{
			// 'PLACEMENT' : 'CRM_LEAD_LIST_MENU',
			// 'HANDLER' : 'https://sms.4u.uz/bx24/',
			// 'TITLE' : 'Тестовый функ в списке',
			// 'DESCRIPTION' : 'Тестовый функ в списке1',
			// },function(result){
			  	// if(result.error())
					// console.error(result.error());
			  	// else
					// console.info(result.data());
		   	// }
		// );
		
		// BX24.callMethod( 'placement.bind',{
			// 'PLACEMENT' : 'CRM_LEAD_LIST_TOOLBAR',
			// 'HANDLER' : 'https://sms.4u.uz/bx24/',
			// 'TITLE' : 'Обзвонить лиды',
			// 'DESCRIPTION' : 'Обзвонить лиды',
			// },function(result){
			  	// if(result.error())
					// console.error(result.error());
			  	// else
					// console.info(result.data());
		   	// }
		// );
		
		
		
	});
	
	$("#getBitrixChats").click(function(){
		BX24.callMethod(
		   'im.chat.get',
		   {
			'ENTITY_TYPE' : 'LINES',
			'ENTITY_ID' : 'CONTACT|19284'
		   },
		   function(result)
		   {
			 //  bitrixEventsList
			  if(result.error())
					console.error(result.error());
			  else
					console.info(result.data());
		   }
		);
		
		
	});
	
	
	
	
	
	BX24.callMethod(
	   'crm.lead.list',{
			'filter' : { 'HAS_PHONE': 'Y', 'HAS_IMOL':'N'}, 
			'select' : [ 'ID','TITLE','HAS_PHONE','HAS_IMOL','PHONE','IM' ],
			'total' : 2
	   },
	   function(result){
		 console.log(result);
	   }
	);
	
	
	
	
	$("#getAlovoiceFreeNums").click(function(){
	
		loadAloVoiceInfo("alovoice_getfreenumber",function(res){
			console.log("AloVoice Free Num RES:",res);
		});
	});
	
	$("#getBitrixEvents").click(function(){
		BX24.callMethod(
		   'events',
		   {},
		   function(result)
		   {
			 //  bitrixEventsList
			  if(result.error())
					console.error(result.error());
			  else
					console.info(result.data());
		   }
		);
	});
	
	$("#addBlockBtn").click(function(){
		BX24.callMethod(
		   'landing.repo.register',//абстрактный метод, превращающий PHP-массив в JS-объект
		   <?php echo json_encode($data); ?>,
		   function(result)
		   {
			  if(result.error())
				 console.error(result.error());
			  else
				 console.info(result.data());
		   }
		);
	});
	$("#getBitrixUser").click(function(){
		BX24.callMethod(
		   'user.search',//абстрактный метод, превращающий PHP-массив в JS-объект
		   {FIND:"935312860"},
		   // {ID:416,ADMIN_MODE:1},
		   function(result)
		   {
			  if(result.error())
				 console.error(result.error());
			  else
				 console.info(result.data());
		   }
		);
	});
	
	$("#getBlocksBtn").click(function(){
		var block_info = false;
		BX24.callMethod(
			'landing.repo.getList',
			{
				params: {
					filter: {
						'XML_ID': 'tug_videotext_slider'
					}
				}
			},
			function(result){
				if(result.error()){
					console.error(result.error());
				} else {
					console.info(result.data());
					var blDatas = result.data();
					blDatas = result.data();
					block_info = (blDatas[0]) ? blDatas[0] : false;
					console.info(block_info);
				}
			}
		);
	});
});
//374
// var afterLoadPage = function(reload){
	// console.log("Integrations page running...");
	// loadAlovoiceStatusLine(); //'status_integration'
// };


</script>